<?php

namespace App\Filament\Resources;

use App\Filament\Resources\ProductServiceReportResource\Pages;
use App\Models\ProductService;
use Filament\Forms\Form;
use Filament\Resources\Resource;
use Filament\Tables\Table;

class ProductServiceReportResource extends Resource
{
    protected static ?string $model = ProductService::class;

    protected static ?string $navigationIcon = 'heroicon-o-rectangle-stack';

    protected static ?string $navigationGroup = 'Reports';

    public static function form(Form $form): Form
    {
        return $form
            ->schema([
                //
            ]);
    }

    public static function table(Table $table): Table
    {
        return $table
            ->columns([
                //
            ])
            ->filters([
                //
            ])
            ->actions([
            ])
            ->bulkActions([
            ]);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index'  => Pages\ListProductServiceReports::route('/'),
            'create' => Pages\CreateProductServiceReport::route('/create'),
            'edit'   => Pages\EditProductServiceReport::route('/{record}/edit'),
        ];
    }
}
